package com.xy.dto;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.xy.entity.SysSystemUser;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.time.LocalDate;

@Data
@Accessors(chain = true)
@ApiModel("权限用户交互类")
public class SysSystemUserDto extends SysSystemUser {

    @ApiModelProperty("分页对象")
    private Page<SysSystemUser> page;

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty(value = "创建时间-起")
    private LocalDate beginCreateTime;

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty(value = "创建时间-始")
    private LocalDate endCreateTime;

    @Data
    @Accessors(chain = true)
    @ApiModel("权限用户修改交互类")
    public static class UpdateDto extends SysSystemUser {

        @ApiModelProperty(value = "是否是登录", hidden = true)
        private Boolean isLogin;

        @ApiModelProperty(value = "是否是重置密码")
        private Boolean isAgainPwd;
    }

    @Data
    @Accessors(chain = true)
    @ApiModel("权限用户返参类")
    public static class Vo extends SysSystemUser {

    }

}
