package com.xy.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Pattern;

@Data
@ApiModel("权限用户交互类")
@Accessors(chain = true)
public class SysSystemUserDto {

    @ApiModelProperty(value = "账号", required = true)
    @NotBlank(message = "account不能为空")
    @Pattern(regexp = "^[a-zA-z0-9]{6,11}$", message = "account必须为数字或字母，长度6-11位之间")
    private String account;

    @ApiModelProperty(value = "密码", required = true)
    @NotBlank(message = "password不能为空")
    @Pattern(regexp = "^[a-zA-z0-9]{6,11}$", message = "password必须为数字或字母，长度6-11位之间")
    private String password;

}
